# Class ProjectObserver < ActiveRecord::Observer

- app/observers/project_observer.rb

Methods

A
  - after_create,
  - after_destroy,
  - after_update
L
  - log_info

Instance Public methods
after_create(project) Link

Source: show

    # File app/observers/project_observer.rb, line 2
    def after_create(project)
      project.update_repository
    end

after_destroy(project) Link

Source: show

    # File app/observers/project_observer.rb, line 10
    def after_destroy(project)
      log_info("Project \"#{project.name}\" was removed")

      project.destroy_repository
    end

after_update(project) Link

Source: show

    # File app/observers/project_observer.rb, line 6
    def after_update(project)
      project.send_move_instructions if project.namespace_id_changed?
    end

Instance Protected methods
log_info(message) Link

Source: show

    # File app/observers/project_observer.rb, line 22
    def log_info message
      Gitlab::AppLogger.info message
    end